import * as React from "react";
import { Civil } from "@joincivil/core";
export interface GasEstimateProps {
    civil: Civil;
    estimateFunctions: Array<() => Promise<number>>;
}
export interface GasEstimateState {
    price: number;
    priceFailed: boolean;
}
export declare class GasEstimate extends React.Component<GasEstimateProps, GasEstimateState> {
    constructor(props: GasEstimateProps);
    componentDidMount(): Promise<void>;
    divinePrice(estimateFunctions?: Array<() => Promise<number>>): Promise<void>;
    render(): JSX.Element;
}
